unit QuickToolsDelphiMainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, ExtCtrls;

type
  TqtDelphiMainForm = class(TForm)
    sbMinimize: TSpeedButton;
    sbClose: TSpeedButton;
    Timer: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure sbMinimizeClick(Sender: TObject);
    procedure sbCloseClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
  private
    { Private declarations }
    procedure ApplicationActivate(Sender: TObject);
    procedure ApplicationDeactivate(Sender: TObject);
  public
    { Public declarations }
  end;

var
  qtDelphiMainForm: TqtDelphiMainForm;

implementation

uses
  QuickToolsGlobal;

{$R *.DFM}

procedure TqtDelphiMainForm.FormCreate(Sender: TObject);
begin
  Left:=Screen.Width-30;
  Top:=0;
end;

procedure TqtDelphiMainForm.sbMinimizeClick(Sender: TObject);
begin
  Application.Minimize;
end;

procedure TqtDelphiMainForm.sbCloseClick(Sender: TObject);
begin
  Application.MainForm.Close;
end;

procedure TqtDelphiMainForm.FormShow(Sender: TObject);
begin
  SetWindowPos(Self.Handle,HWND_TOPMOST,0,0,0,0,SWP_NOSIZE or SWP_NOMOVE or SWP_NOACTIVATE);
  SetWindowRgn(Self.Handle,CreateRectRgn(0,0,30,15),false);
end;

procedure TqtDelphiMainForm.TimerTimer(Sender: TObject);
begin
  if Application.Active then
    SetWindowPos(Self.Handle,HWND_TOPMOST,0,0,0,0,SWP_NOSIZE or SWP_NOMOVE or SWP_NOACTIVATE);
end;

procedure TqtDelphiMainForm.ApplicationActivate(Sender: TObject);
begin
  ShowWindow(Self.Handle,SW_SHOWNOACTIVATE);
end;

procedure TqtDelphiMainForm.ApplicationDeactivate(Sender: TObject);
begin
  ShowWindow(Self.Handle,SW_HIDE);
end;

var
  OldApplicationActivate:TNotifyEvent;
  OldApplicationDeactivate:TNotifyEvent;
initialization
  if not ProjOptDialog then
  begin
    qtDelphiMainForm:=TqtDelphiMainForm.Create(nil);
    qtDelphiMainForm.Hide;
    OldApplicationActivate:=Application.OnActivate;
    OldApplicationDeactivate:=Application.OnDeactivate;
    Application.OnActivate:=qtDelphiMainForm.ApplicationActivate;
    Application.OnDeactivate:=qtDelphiMainForm.ApplicationDeactivate;
  end;
finalization
  if not ProjOptDialog then
  begin
    Application.OnActivate:=OldApplicationActivate;
    Application.OnDeactivate:=OldApplicationDeactivate;
    qtDelphiMainForm.Free;
  end;
end.

