unit QuickToolsOptions;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TfmOptions = class(TForm)
    imLogo: TImage;
    labVersion: TLabel;
    Bevel1: TBevel;
    labDate: TLabel;
    labCopyright: TLabel;
    btOK: TButton;
    btCancel: TButton;
    ckHideCaptions: TCheckBox;
    ckMaximizeEditor: TCheckBox;
    ckCreateCompDate: TCheckBox;
    Label1: TLabel;
    ckChangeIcon: TCheckBox;
    ckCloseDefault: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure btOKClick(Sender: TObject);
    procedure btCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmOptions: TfmOptions;

implementation

uses
  QuickToolsGlobal;

{$R *.DFM}

procedure TfmOptions.FormCreate(Sender: TObject);
begin
  labVersion.Caption:=QuickToolsName+' '+QuickToolsVersion;
  labDate.Caption:=QuickToolsDate;
  ckCloseDefault.Checked:=Options.CloseDefault;
  ckHideCaptions.Checked:=Options.HideCaptions;
  ckMaximizeEditor.Checked:=Options.MaximizeEditor;
  ckCreateCompDate.Checked:=Options.CreateCompDate;
  ckChangeIcon.Checked:=Options.ChangeIcon;
end;

procedure TfmOptions.btOKClick(Sender: TObject);
begin
  ModalResult:=mrOK;
end;

procedure TfmOptions.btCancelClick(Sender: TObject);
begin
  ModalResult:=mrCancel;
end;

end.
